%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           polysh
Version:        0.4
Release:        2%{?dist}
Summary:        Group Shell - aggregate several remote shells into one
URL:            http://guichaz.free.fr/polysh/
Source0:        http://guichaz.free.fr/polysh/files/%{name}-%{version}.tar.bz2
License:        GPLv2+
Group:          Applications/Internet
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

BuildRequires:  python >= 2.4
BuildRequires:  python-devel >= 2.4
BuildRequires:  python-setuptools
Requires:       python >= 2.4

%description
polysh is used to launch several remote shells on many machines at the same
time and control them from a single command prompt.

%prep
%setup -q -n %{name}-%{version}
#need to get rid of the egg
rm -rf polysh.egg-info/

#apply patch to get rid of shebang from pity.py
cd polysh

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

#! /bin/sh
#
# Copied from: http://trac.edgewall.org/ticket/1141
#
# this file is *inserted* into the install section of the generated
# spec file
#

# this is, what dist.py normally does
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_bindir}/polysh
%{python_sitelib}/polysh/
%{python_sitelib}/polysh-*.egg-info
%{_mandir}/man1/polysh.1.gz
%doc COPYING NEWS README

%changelog
* Fri May 24 2013 josef radinger <cheese@nosuchhost.net> - 0.4-2
- fix egg-path

* Wed May 22 2013 josef radinger <cheese@nosuchhost.net> - 0.4-1
- bump version
- rename gsh to polysh 
- remove unneeded patch

* Thu Jan 29 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-5
- Added a patch to remove the shebang from pity.py that rpmlint didn't like

* Thu Jan 29 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-4
- removed unneeded second -n listing in setup macro listing

* Thu Jan 29 2009 Jochen Schmitt <Jochen herr-schmitt de> - 0.3-3
- Several fixes to get package ready to fit with python packaging guideline

* Wed Jan 28 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-2
- Fixed rpmlint complaint, removed egg in setup, redownloaded source

* Wed Jan 28 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-1
- First build of gsh for fedora

